QGIS Application - Bug report #19294

Wrong parameter type to VoronoiPolygons in Processing

2018-06-28 04:44 PM - Havard Tveite

Status: Closed

Priority: Normal
Assignee:

Category: Processing/QGIS

Affected QGIS version:3.2

Operating System: Ubuntu 16.04 (and all others)
Pull Request or Patch supplied:

Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: Yes
Resolution:

Copied to github as #: 27122

Description

In /python/plugins/processing/algs/qgis/VoronoiPolygons.py, the

parameter type of the "BUFFER" parameter is set to QgsProcessingParameterDistance.

This seems to be wrong, because this is a percentage (the percentage to increase the extent with) and not a distance.

QgsProcessingParameterNumber should therefore be used instead of QgsProcessingParameterDistance.

https://github.com/qgis/QGIS/pull/7325

Associated revisions

Revision a756fb10 - 2018-06-29 03:02 PM - Havard Tveite

Fix parameter type for the BUFFER parameter of the Voronoi polygons alg

Fixes #19294

Revision c409d5aa - 2018-06-30 01:20 AM - Havard Tveite

Fix parameter type for the BUFFER parameter of the Voronoi polygons alg

Fixes #19294

(cherry-picked from a756fb103)

History

#1 - 2018-06-28 04:54 PM - Havard Tveite

The pull request was removed for technical reasons.
Have now created a new one: https://github.com/ggis/QGIS/pull/7326

#2 - 2018-06-29 03:01 PM - Havard Tveite
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|a756fb1034eed47c02a885bebe2cd488a25a798e.
